
/**** 首页 ****/

.wrapper {
	float: left;
	width: 100%;
	background-color: #ffe3a7;
	background-repeat: no-repeat;
	background-size: 100% auto;
	min-height: 100vh;
}
.wrapper.index {
	background-image: url(../images/wrap-index.jpg);
}
.wrapper.step {
	padding: 1.7rem 0 0 0;
	background-image: url(../images/wrap-step.jpg);
}
.wrapper.free {
	background-image: url(../images/wrap-free.jpg);
}
.wrapper.result {
	padding: 3.3rem 0 0 0;
	background-image: url(../images/wrap-result.jpg);
}

/*banner图动画*/

.indexBann {
	position: relative;
	float: left;
	width: 100%;
	height: 10.4rem;
	overflow: hidden;
	margin: 0 0 -.8rem 0;
}
.indexBann li {
	position: absolute;
	top: 8.75rem;
	width: 1.5rem;
	height: .47rem;
	background-repeat: no-repeat;
	background-size: 100% 100%;
	animation: textZoom 6s linear infinite;
}
.indexBann li:nth-child(1) {
	left: .94rem;
	background-image: url(../images/text1.png);
}
.indexBann li:nth-child(2) {
	left: 3.34rem;
	background-image: url(../images/text2.png);
	animation-delay: 2s;
}
.indexBann li:nth-child(3) {
	left: 5.73rem;
	background-image: url(../images/text3.png);
	animation-delay: 4s;
}
@keyframes textZoom {
	0%, 33.33%, 100% {
		transform: scale(1);
	}
	16% {
		transform: scale(1.2);
	}
}

/*banner图动画*/

.main {
	float: left;
	width: 100%;
	padding: 0 .2rem .5rem .2rem;
}
.bigbox {
	float: left;
	width: 100%;
	margin: .8rem 0 0 0;
}
.bigbox .top {
	float: left;
	width: 100%;
	height: .5rem;
	background: url(../images/big-top.png) no-repeat;
	background-size: 100% 100%;
}
.bigbox .down {
	float: left;
	width: 100%;
	height: .55rem;
	background: url(../images/big-down.png) no-repeat;
	background-size: 100% 100%;
}
.bigbox .mid {
	float: left;
	width: 100%;
	padding: .02rem .4rem;
	margin: -1px 0;
	background: url(../images/big-mid.png) no-repeat;
	background-size: 100% 100%;
}

/** 资料输入版块 **/

.forminput {
	float: left;
	width: 100%;
	margin: -.3rem 0 -.1rem 0;
}
.forminput_hang {
	float: left;
	width: 100%;
	padding: .1rem;
	margin: .3rem 0 0 0;
	background: #fff8ea;
	border-radius: .1rem;
}
.forminput_hang_bt {
	float: left;
	width: 1.65rem;
	line-height: .5rem;
}
.forminput_hang_name {
	overflow: hidden;
}
.forminput_hang_name input {
	float: left;
	width: 100%;
	border: none;
	background: none;
	outline: none;
	line-height: .5rem;
	color: #666;
}
.forminput_hang_sex {
	overflow: hidden;
}
.forminput_hang_sex a {
	float: left;
	width: .5rem;
	height: .5rem;
	margin: 0 .4rem 0 0;
	border: solid .02rem #ad2d0a;
	border-radius: 50%;
	line-height: .46rem;
	color: #666;
	text-align: center;
}
.forminput_hang_sex a.current {
	background: #ad2d0a;
	color: #fff;
}
.forminput_hang_birth {
	overflow: hidden;
	line-height: .5rem;
	font-size: .28rem;
	color: #666;
	cursor: pointer;
}
.forminput_hang_birth span {
	display: block;
}

/** 资料输入版块 **/

.button {
	float: left;
	width: 100%;
	margin: .4rem 0 0 0;
}
.button a {
	display: block;
	width: 5.8rem;
	height: .9rem;
	margin: 0 auto;
	background: url(../images/btn-bg1.png) no-repeat;
	background-size: 100% 100%;
	line-height: .8rem;
	font-size: .36rem;
	color: #fff;
	font-weight: bold;
	text-align: center;
	letter-spacing: .05rem;
	text-shadow: 0 0 .2rem #610da9;
}
.button a img {
	width: .37rem;
	margin: -.05rem 0 0 0;
	vertical-align: middle;
}
.button.zoom a {
	animation: btnZoom 1s linear infinite alternate;
}
@keyframes btnZoom {
	from {}
	to {
		transform: scale(.8);
	}
}
.picture, .picture img {
	float: left;
	width: 100%;
}
.indexSwiper {
	float: left;
	width: 90%;
	margin: -20.8rem 5% 0 5%;
}
.indexFeedback {
	position: relative;
	float: left;
	width: 100%;
	height: 10.43rem;
	background: url(../images/img05.png) no-repeat;
	background-size: 100% 100%;
}
.indexFeedback li {
	position: absolute;
	left: .7rem;
	top: 2.5rem;
	width: 5.7rem;
	height: 7rem;
	background-repeat: no-repeat;
	background-size: 100% 100%;
	opacity: 0;
	animation: feedback 25s linear infinite;
}
.indexFeedback li:nth-child(1) {
	background-image: url(../images/feedback1.png);
}
.indexFeedback li:nth-child(2) {
	background-image: url(../images/feedback2.png);
	animation-delay: 5s;
}
.indexFeedback li:nth-child(3) {
	background-image: url(../images/feedback3.png);
	animation-delay: 10s;
}
.indexFeedback li:nth-child(4) {
	background-image: url(../images/feedback4.png);
	animation-delay: 15s;
}
.indexFeedback li:nth-child(5) {
	background-image: url(../images/feedback5.png);
	animation-delay: 20s;
}
@keyframes feedback {
	0%, 20%, 100% {
		opacity: 0;
	}
	2%, 15% {
		opacity: 1;
	}
}

/**** 首页 ****/


/**** 浮动按钮 ****/

.floatbtn {
	position: fixed;
	bottom: 0;
	float: left;
	width: 100%;
	max-width: 7.5rem;
	padding: .1rem 0;
	background: rgba(0, 0, 0, .7);
	z-index: 9;
}
.floatbtn .button {
	margin: 0;
}

/**** 浮动按钮 ****/


/**** 动画页 ****/


/** 命盘图 **/

.zwNatalChart {
	position: relative;
	float: left;
	width: 100%;
	background: #fff;
	border: solid .05rem #b9781e;
	box-shadow: inset 0 0 1rem #ffeeca;
}
.zwNatalChart .box {
	float: left;
	width: 25%;
	height: 1.4rem;
	border-right: .05rem solid #ecc79d;
	border-bottom: .05rem solid #ecc79d;
}
.zwNatalChart .box:nth-child(4n) {
	border-right: none;
}
.zwNatalChart .box:nth-child(13), .zwNatalChart .box:nth-child(14), .zwNatalChart .box:nth-child(15), .zwNatalChart .box:nth-child(16) {
	border-bottom: none;
	height: 1.35rem;
}
.zwNatalChart .box ul {
	float: left;
	width: 100%;
	height: 1.35rem;
	padding-top: .1rem;
}
.zwNatalChart .box ul li {
	float: left;
	width: 100%;
	padding-left: .1rem;
	font-size: .24rem;
	color: #a4501d;
	opacity: 0;
}
.zwNatalChart .box ul li.AniFadeIn {
	opacity: 0;
	animation: fadeIn .5s linear forwards;
}
@keyframes fadeIn {
	from {}
	to {
		opacity: 1;
	}
}
.zwNatalChart .box ul li b {
	display: inline-block;
	width: 1.05rem;
	margin: .51rem 0 0 -.1rem;
	background: #fff3c7;
	border-radius: .1rem;
	line-height: .38rem;
	font-size: .28rem;
	color: #5e3a16;
	text-align: center;
}
.zwNatalChart .box ul.showCur {
	background: #a546b9;
}
.zwNatalChart .box ul.showCurScale {
	position: relative;
	background: #a546b9;
	border-radius: .1rem;
	z-index: 9;
	animation: boxSca 1s linear 2;
}
.zwNatalChart .box ul.showCur li, .zwNatalChart .box ul.showCurScale li {
	color: #fff;
}
.zwNatalChart .box ul.showCur li b, .zwNatalChart .box ul.showCurScale li b {
	background: #ffc320;
	color: #b12822;
}
@keyframes boxSca {
	from {
		transform: scale(1);
	}
	50% {
		transform: scale(1.2);
	}
	to {
		transform: scale(1);
	}
}
.zwNatalChart .data {
	position: absolute;
	left: 25%;
	top: 1.4rem;
	width: 49.3%;
	height: 2.75rem;
	padding: .6rem 0 0 0;
	background: #fff url(../images/chart-bg.png) no-repeat center center;
	background-size: 2.3rem 2.3rem;
	box-shadow: inset 0 0 .5rem #ffeeca;
	line-height: 1.7;
	color: #c52a29;
	text-align: center;
}
.zwNatalChart .data ul li {
	display: none;
}

/** 命盘图 **/

.stepProge {
	float: left;
	width: 100%;
	padding: .3rem;
	margin: .3rem 0 0 0;
	background: #fff;
	border-radius: .1rem;
}
.stepProge .row {
	float: left;
	width: 100%;
	margin: .1rem 0;
	color: #5e1f10;
	font-size: .28rem;
}
.stepProge .row.last {
	display: none;
}
.stepProge .row p {
	float: left;
	width: 100%;
	height: .2rem;
	background: #ccc;
	border-radius: .15rem;
}
.stepProge .row p i {
	display: block;
	width: 0%;
	height: 100%;
	background: #ad2d0a;
	border-radius: .15rem;
}
.stepProge .row.first p i {
	animation: progeWidth 2s linear forwards;
}
.stepProge .row.first:nth-of-type(2) p i {
	animation-delay: 2.8s;
}
.stepProge .row.first:nth-of-type(3) p i {
	animation-delay: 5s;
}
.stepProge .row.last p i {
	animation: progeWidth .3s linear forwards;
}
.stepProge .row.last:nth-of-type(2) p i {
	animation-delay: .3s;
}
.stepProge .row.last:nth-of-type(3) p i {
	animation-delay: .6s;
}
.stepProge .row.last:nth-of-type(4) p i {
	animation-delay: .9s;
}
@keyframes progeWidth {
	from {}
	to {
		width: 100%;
	}
}

/**** 动画页 ****/


/**** 免费页 ****/

.freeData {
	display: flex;
	justify-content: center;
	flex-direction: column;
	float: left;
	width: 100%;
	height: 4.82rem;
	padding: 0 0 0 1.8rem;
	margin: 0 0 -.1rem 0;
	background: url(../images/data-bg.png) no-repeat;
	background-size: 100% 100%;
	font-size: .24rem;
}
.freeData span {
	color: #ad2d0a;
}
.freeMenu {
	/*position: sticky;
	top: 0;*/
	display: flex;
	justify-content: space-between;
	float: left;
	width: 100%;
	height: 1.8rem;
	margin: .3rem 0 0 0;
	transition: top .3s ease-in-out;
}
.freeMenu a {
	width: 2.3rem;
	height: 100%;
}
.freeMenu a {
	background-repeat: no-repeat;
	background-size: 100% 100%;
}
.freeMenu a:nth-child(1) {
	background-image: url(../images/menu1a.png);
}
.freeMenu a:nth-child(2) {
	background-image: url(../images/menu2a.png);
}
.freeMenu a:nth-child(3) {
	background-image: url(../images/menu3a.png);
}
.freeMenu a:nth-child(1).current {
	background-image: url(../images/menu1b.png);
}
.freeMenu a:nth-child(2).current {
	background-image: url(../images/menu2b.png);
}
.freeMenu a:nth-child(3).current {
	background-image: url(../images/menu3b.png);
}
.picTitle {
	float: left;
	width: calc(100% + .15rem);
	margin: -.9rem 0 -.45rem -.07rem;
}
.picTitle img {
	display: block;
	width: 100%;
}
.freeBox {
	float: left;
	width: 100%;
	padding: .3rem .1rem;
	margin: .3rem 0 0 0;
	border-radius: .2rem;
}
.freeBox.bg1 {
	background: #fff7ff;
	box-shadow: inset 0 0 .32rem 0 rgba(233, 206, 232, .5);
}
.freeBox.bg2 {
	background: #f7faff;
	box-shadow: inset 0 0 .32rem 0 rgba(191, 209, 245, .5);
}
.freeBox.bg3 {
	background: #fffff2;
	box-shadow: inset 0 0 .32rem 0 rgba(241, 207, 128, .5);
}
.freeTitle {
	float: left;
	width: 100%;
	background-repeat: no-repeat;
	background-size: 100% 100%;
	line-height: .55rem;
	font-size: .34rem;
	color: #fff;
	font-weight: bold;
	text-align: center;
}
.freeTitle.bg1 {
	background-image: url(../images/title-bg1.png);
}
.freeTitle.bg2 {
	background-image: url(../images/title-bg2.png);
}
.freeTitle.bg3 {
	background-image: url(../images/title-bg3.png);
}
.freeTitle.bg4 {
	background-image: url(../images/title-bg4.png);
}
.freeText {
	float: left;
	width: 100%;
	margin: .25rem 0 0 0;
	text-align: justify;
}
.freeText span, .freeText b {
	color: #ad2d0a;
}
.freeText span.color1 {
	color: #c620c0;
}
.freeText span.color2 {
	color: #305fbb;
}
.freeText span.color3 {
	color: #b97102;
}
.freeText span.color4 {
	color: #8f35cb;
}
.freeText span.color5 {
	color: #27a057;
}
.freeText em {
	font-weight: bold;
}
.freeMohu {
	float: left;
	width: 100%;
	padding: .3rem;
	margin: .3rem 0 0 0;
	background-repeat: no-repeat;
	background-size: 100% 100%;
}
.freeMohu.bg1 {
	background-image: url(../images/mohu-bg1.png);
}
.freeMohu.bg2 {
	background-image: url(../images/mohu-bg2.png);
}
.freePop {
	float: left;
	width: 100%;
	padding: .3rem;
	background: #fff;
	border: 1px solid #fbc2f8;
	border-radius: .1rem;
	font-size: .3rem;
	text-align: center;
}
.freePop.bgnone {
	padding: 0;
	background: none;
	border: none;
}
.freePop span {
	color: #ad2d0a;
}
.freePop a {
	display: block;
	width: 3.1rem;
	height: .9rem;
	margin: .2rem auto 0 auto;
	background: url(../images/btn-bg2.png) no-repeat;
	background-size: 100% 100%;
	line-height: .8rem;
	font-size: .36rem;
	color: #fff;
	font-weight: bold;
	text-align: center;
	letter-spacing: .05rem;
	text-shadow: 0 0 .2rem #610da9;
}
.freeTips {
	float: left;
	width: 100%;
	margin: .3rem 0 0 0;
	font-size: .24rem;
	color: #ad2d0a;
	font-weight: bold;
	text-align: center;
}

/**** 免费页 ****/


/**** 结果页 ****/


/*菜单*/

.resultMenu {
	float: left;
	width: calc(100% + .4rem);
	margin: 0 0 0 -.2rem;
	max-width: 7.5rem;
	background: #b2b2b2;
}
.resultMenu.fixedNav {
	position: fixed;
	/*top: -.5rem;*/
	top: 0;
	overflow: hidden;
	z-index: 99;
}
.resultMenu .swiper-container {
	float: left;
	width: 90%;
}
.resultMenu .swiper-container a {
	display: block;
	width: 100%;
	line-height: 1rem;
	font-size: .3rem;
	color: #fff;
	font-weight: bold;
	text-align: center;
}
.resultMenu .swiper-container a.current {
	background: #ad2d0a;
	color: #ffff66;
}
.resultMenu .you {
	float: left;
	width: 10%;
	line-height: 1rem;
	font-size: .5rem;
	color: #fff;
	text-align: center;
	cursor: pointer;
}

/*菜单*/


/*弹窗*/

.maskbox {
	position: fixed;
	top: 0;
	width: 100%;
	height: 100%;
	margin: 0 0 0 -.2rem;
	background: #4e4c4e;
	opacity: .85;
	max-width: 7.5rem;
	z-index: 9;
}
.menupop {
	position: fixed;
	left: 50%;
	top: 15%;
	width: 7rem;
	margin: 0 0 0 -3.5rem;
	background: #fff;
	border: 1px solid #ad2d0a;
	border-radius: .1rem;
	z-index: 10;
}
.menupop .title {
	float: left;
	width: 100%;
	background: #ad2d0a;
	padding: 0 0 0 .2rem;
	border-radius: .1rem .1rem 0 0;
	line-height: .8rem;
	color: #fff;
	font-weight: bold;
}
.menupop .title a {
	float: right;
	padding: 0 .2rem;
	font-size: .5rem;
	color: #fff;
}
.menupop .list {
	display: flex;
	justify-content: space-between;
	flex-wrap: wrap;
	float: left;
	width: 100%;
	padding: 0 .15rem .2rem .15rem;
}
.menupop .list a {
	width: 1.6rem;
	margin: .2rem 0 0 0;
	background: #b2b2b2;
	border-radius: .1rem;
	line-height: .5rem;
	font-size: .3rem;
	color: #fff;
	text-align: center;
}

/*.menupop .list a.bgnone {
	background: none;
	pointer-events: none;
}*/


/*弹窗*/

.resultData {
	float: left;
	width: 100%;
	text-align: center;
}
.resultChart {
	float: left;
	width: 100%;
	margin: .3rem 0 0 0;
}
.resultTable {
	float: left;
	width: 100%;
	margin: .3rem 0 0 0;
}
.resultTable table {
	width: 100%;
	background: #fff;
	border-collapse: collapse;
}
.resultTable table tr td {
	padding: .15rem 0;
	border: .02rem solid #9b8b5a;
	line-height: 1.3;
	text-align: center;
}
.resultTable table tr td:nth-child(even) {
	color: #551f88;
}
.resultTable table tr td span {
	font-size: .22rem;
}
.resultTitle {
	float: left;
	width: 70%;
	margin: .3rem 15% 0 15%;
	background: linear-gradient(#e73413, #af2d0a);
	border: .02rem solid #fbd4cd;
	border-radius: .05rem;
	line-height: .55rem;
	font-size: .34rem;
	color: #fff;
	font-weight: bold;
	text-align: center;
}
.resultTitle.width90 {
	width: 90%;
	margin: .3rem 5% 0 5%;
}
.resultTitle:nth-child(2) {
	margin-top: 0;
}
.resultEnergy {
	float: left;
	width: 100%;
	margin: .3rem 0 0 0;
	background: #fff;
	border: .02rem solid #d1b671;
	line-height: 1.3;
}
.resultEnergy .title {
	float: left;
	width: 100%;
}
.resultEnergy .title .zuo {
	display: flex;
	align-items: center;
	justify-content: center;
	float: left;
	width: 15%;
	height: .8rem;
	border-right: .02rem solid #d1b671;
	font-size: .26rem;
}
.resultEnergy .title .you {
	float: left;
	width: 85%;
	height: .8rem;
}
.resultEnergy .title .you ul li {
	float: left;
	width: 16.666%;
	line-height: .8rem;
	font-size: .26rem;
	color: #fff;
	text-align: center;
}
.resultEnergy .title .you ul li:nth-child(1), .resultEnergy .row .you dl dt.bg1 {
	background: #75cca3;
}
.resultEnergy .title .you ul li:nth-child(2), .resultEnergy .row .you dl dt.bg2 {
	background: #9eb7f1;
}
.resultEnergy .title .you ul li:nth-child(3), .resultEnergy .row .you dl dt.bg3 {
	background: #b79df3;
}
.resultEnergy .title .you ul li:nth-child(4), .resultEnergy .row .you dl dt.bg4 {
	background: #f8c774;
}
.resultEnergy .title .you ul li:nth-child(5), .resultEnergy .row .you dl dt.bg5 {
	background: #fca66d;
}
.resultEnergy .title .you ul li:nth-child(6), .resultEnergy .row .you dl dt.bg6 {
	background: #ef605f;
}
.resultEnergy .row {
	float: left;
	width: 100%;
	border-top: .02rem solid #d1b671;
}
.resultEnergy .row .zuo {
	display: flex;
	align-items: center;
	float: left;
	width: 15%;
	height: 1.2rem;
	border-right: .02rem solid #d1b671;
	font-size: .26rem;
	text-align: center;
}
.resultEnergy .row .you {
	display: flex;
	align-items: center;
	float: left;
	width: 85%;
	height: 1.2rem;
	padding: .1rem;
}
.resultEnergy .row .you dl {
	float: left;
	width: 100%;
}
.resultEnergy .row .you dl dt {
	float: left;
	height: .25rem;
	padding: 0 .1rem 0 0;
	font-size: .2rem;
	color: #fff;
	text-align: right;
}
.resultEnergy .row .you dl dd {
	float: left;
	width: 100%;
	margin: .1rem 0 0 0;
	font-size: .24rem;
	text-align: justify;
}
.resultRedar {
	float: left;
	width: 100%;
}
.resultTips {
	float: left;
	width: 100%;
	margin: .2rem 0 0 0;
	font-size: .26rem;
	color: #8e8e8e;
	text-align: justify;
}
.resultStar {
	float: left;
	width: 100%;
	margin: .2rem 0 0 0;
}
.resultStar ul {
	display: flex;
	justify-content: space-between;
	width: 100%;
	margin: .1rem 0 0 0;
}
.resultStar ul li {
	width: 1.5rem;
	line-height: .4rem;
	font-size: .26rem;
	color: #fff;
	text-align: center;
}
.resultStar ul:nth-child(1) li {
	background: #f88674;
}
.resultStar ul:nth-child(2) li {
	background: #b79df3;
}
.resultStar ul:nth-child(3) li {
	background: #fca66d;
}
.resultStar ul:nth-child(4) li {
	background: #f8c774;
}
.resultStar ul li.bgnone {
	background: none;
}

/**** 结果页 ****/